Mailrelay API Reference

Get line by line data of an import

GET https://{account}/api/v1/imports/{id}/data

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get line by line data of an import.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
page integer No Page number
per_page integer No Number of records per page

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.

Response fields

NameTypeDescription
line integer Line
email string Email
sms_phone string SMS phone
whatsapp_phone string WhatsApp phone
result string Result
failure_reason string Failure reason
created_at string Created at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.